[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.TrimLeft

Strips a set of trim characters from the beginning of the string.

## Declaration

Source position: syshelph.inc line 189

`public function TStringHelper.TrimLeft: string; overload; function TStringHelper.TrimLeft(`
`const ATrimChars: array of Char`
`):string; overload;`

## Description

Trim returns the string (Self), removing all characters occurring in ATrimChars from the start of the string. If ATrimChars is not specified, all characters with ASCII code 32 or lower are assumed.

## See also

TrimLeft |  | Trim whitespace from the ends of a string.
TStringHelper.Trim |  | Strips a set of trim characters from the beginning and end of the string.
TStringHelper.TrimRight |  | Strips a set of trim characters from the end of the string.